Page 1 of 1

Zend Server 9.1 fails install on ubuntu 16.04

Posted: Mon Jul 17, 2017 9:26 am
by mich420
Hi Guys hoping someone can help.

I'm new to Ubuntu (normally use RPM) but pretty sure I'm doing everything asked for in the doco.

I've updated the required apt config (excuse the odd url naming, otherwise won't let me submit)

# apt update
Hit:1 au_archive[.]ubuntu[.]com/ubuntu xenial InRelease
Hit:2 au.archive[.]ubuntu[.]com/ubuntu xenial-updates InRelease
Hit:3 au.archive[.]ubuntu[.]com/ubuntu xenial-backports InRelease
Ign:4 repos[.]zend[.]com/zend-server/9.1/deb_apache2.4 server InRelease
Hit:5 repos[.]zend[.]com/zend-server/9.1/deb_apache2.4 server Release
Hit:6 security[.]ubuntu[.]com/ubuntu xenial-security InRelease
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.

but when I try to install Zend server I get the following:

#./install_zs 7.1

Running this script will perform the following:
* Configure your package manager to use Zend Server repository
* Install Zend Server (PHP 7.1) on your system using your package manager

Hit ENTER to install Zend Server (PHP 7.1), or Ctrl+C to abort now.

Tool for checking existing installation: dpkg is /usr/bin/dpkg
dpkg-query: no packages found matching *zend*
dpkg-query: no packages found matching zend-server*
rpm: not found
Doing repository configuration for: apt-get is /usr/bin/apt-get
OK
Hit:1 au[.]archive[.]ubuntu[.]com/ubuntu xenial InRelease
Hit:2 au[.]archive[.]ubuntu[.]com/ubuntu xenial-updates InRelease
Hit:3 au[.]archive[.]ubuntu[.]com/ubuntu xenial-backports InRelease
Ign:4 repos[.]zend[.]com/zend-server/9.1/deb_apache2.4 server InRelease
Hit:5 repos[.]zend[.]com/zend-server/9.1/deb_apache2.4 server Release
Hit:6 security[.]ubuntu[.]com/ubuntu xenial-security InRelease
Reading package lists... Done
Package manager for installation: aptitude: not found
apt-get is a tracked alias for /usr/bin/apt-get
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package zend-server-php-7.1
E: Couldn't find any package by glob 'zend-server-php-7.1'
E: Couldn't find any package by regex 'zend-server-php-7.1'
E: Unable to locate package zend-server-php-7.1-common
E: Couldn't find any package by glob 'zend-server-php-7.1-common'
E: Couldn't find any package by regex 'zend-server-php-7.1-common'
Package zend-server-php-7.1 is not installed.
Package zend-server-php-7.1-common is not installed.

************************************************************************************************
* Zend Server Installation was not completed. See output above for detailed error information. *
************************************************************************************************

Re: Zend Server 9.1 fails install on ubuntu 16.04

Posted: Mon Jul 17, 2017 10:42 am
by zvika
Hi
Try to remove the added repo, apt-get update,
then apt-get clean all and ./install.sh 7.1 to create the repo automatically.
The files are on our CDN - but please try to access the specific package (zend-server-php-7.1) from browser and wget/curl (console),
perhaps the specific IP you get to needs to be flushed.
If this doesn't help, you can open a support case and we'll assist according to your SLA.

Re: Zend Server 9.1 fails install on ubuntu 16.04

Posted: Wed Jul 19, 2017 4:59 am
by mich420
Thanks Zvika but that didn't work. Got the same as before.

I'll open a support case.